[Bioperl-l] dependencies in Makefile.PL

Chris Fields cjfields at uiuc.edu
Tue Sep 26 09:50:19 EDT 2006


...
> > There are binary versions of libgd and expat available for ActivePerl
> and
> > Win32 (which tends to be the most troublesome platform).  If you install
> > GD.pm and XML::SAX::Expat using PPM, precompiled binary versions of both
> are
> > installed along with the perl modules.  It's not as easy to update to
> the
> > most current versions, but I have GD, expat, libxml2, and a few others,
> all
> > of which work wonderfully.
> >
> I haven't had any recent problems with totally clean installs of WinXP
> and Perl 5.8 - I assume I'd get failed tests if something was amiss here?

I think most tests are set up to evaluate whether a required module is
present before running tests, then skip them if the eval{} fails.  I think
this stems from the idea that these modules are 'optional'. 

Christopher Fields
Postdoctoral Researcher - Switzer Lab
Dept. of Biochemistry
University of Illinois Urbana-Champaign 




More information about the Bioperl-l mailing list